> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom field sections

> Retrieve list of custom fields sections for a given organization, including their names, descriptions, slugs, and ordering information.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /custom_fields/section
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /custom_fields/section:
    get:
      tags:
        - Custom Fields Section
      summary: Get custom field sections
      description: >
        Retrieve list of custom fields sections for a given organization,
        including their names, descriptions, slugs, and ordering information.
      operationId: getCustomFieldsSection
      parameters:
        - $ref: '#/components/parameters/query_filter_by_org_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  sections:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          $ref: '#/components/schemas/CustomFieldSectionId'
                        name:
                          $ref: '#/components/schemas/CustomFieldSectionName'
                        description:
                          $ref: '#/components/schemas/CustomFieldSectionDescription'
                        order:
                          $ref: '#/components/schemas/CustomFieldSectionOrder'
                        slug:
                          $ref: '#/components/schemas/CustomFieldSectionSlug'
                    example:
                      - id: 1
                        name: Section A
                        description: Primary information section
                        order: 3
                        slug: section-a
                      - id: 2
                        name: Section B
                        description: null
                        order: 4
                        slug: section-b
                      - id: 3
                        name: Section C
                        description: Additional details section
                        order: 5
                        slug: null
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    query_filter_by_org_id:
      in: query
      name: org_id
      schema:
        type: integer
      required: false
      description: >
        Filter by organization ID. Only `PROVIDER` users can use this filter. If
        you are not a `PROVIDER`, this will default to the ID of your
        organization.
  schemas:
    CustomFieldSectionId:
      description: Id of the custom field section
      type: integer
      example: 6
    CustomFieldSectionName:
      description: >-
        The name of the custom field section. Needs to be unique from all other
        section names.
      type: string
      maxLength: 60
      example: Section A
    CustomFieldSectionDescription:
      description: Description of the custom field section
      type: string
      maxLength: 150
      nullable: true
      example: Contains primary business information fields
    CustomFieldSectionOrder:
      description: >-
        Describes where the custom field section is displayed on the Business
        Edit view of the Partoo App.
      type: integer
      example: 18
    CustomFieldSectionSlug:
      description: >-
        Unique identifier slug for the custom field section. Cannot contain any
        of the following characters: `,;/\|<>`
      type: string
      minLength: 1
      maxLength: 100
      nullable: true
      pattern: ^[^,;/\\|<>]*$
      example: section-a
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````